
QGIS Application - Bug report #20382

[DB Manager] Unable to expand the Virtual Layers --> Project Layers group in the tree

2018-11-06 02:27 PM - Harrissou Santanna

Status: Closed

Priority: High

Assignee:

Category: DB Manager

Affected QGIS version:3.5(master) Regression?: Yes

Operating System: Easy fix?: No

Pull Request or Patch supplied:No Resolution: fixed/implemented

Crashes QGIS or corrupts data:No Copied to github as #: 28202

Description

Whenever I expand the Project layers group in the DB Manager providers panel, I get a Python error (see attached file)

History

#1 - 2018-11-07 12:12 PM - Giovanni Manghi

- Priority changed from Normal to High

Confirmed also here (kubuntu 18.04):

Traceback (most recent call last):

  File "/usr/share/qgis/python/plugins/db_manager/db_model.py", line 444, in rowCount

    self._refreshIndex(parent, True)

  File "/usr/share/qgis/python/plugins/db_manager/db_model.py", line 493, in _refreshIndex

    if item.populate():

  File "/usr/share/qgis/python/plugins/db_manager/db_model.py", line 186, in populate

    tables = database.tables()

  File "/usr/share/qgis/python/plugins/db_manager/db_plugins/plugin.py", line 518, in tables

    tables = self.connector.getTables(schema.name if schema else None, sys_tables)

  File "/usr/share/qgis/python/plugins/db_manager/db_plugins/vlayers/connector.py", line 178, in getTables

    return self.getVectorTables()

  File "/usr/share/qgis/python/plugins/db_manager/db_plugins/vlayers/connector.py", line 196, in getVectorTables

    for _, l in QgsProject.instance().mapLayers():

ValueError: too many values to unpack (expected 2)

#2 - 2018-11-10 09:55 AM - Harrissou Santanna

- Resolution set to fixed/implemented

- Status changed from Open to Closed

Should be fixed in commit:149726c

Files

DBMpython_error.PNG 40.5 KB 2018-11-06 Harrissou Santanna
